Package it.ernytech.tdbot

## Class ConstructorDetector

- java.lang.Object
- - it.ernytech.tdbot.ConstructorDetector

    public class ConstructorDetector
    extends java.lang.Object

Identify the class by using the Constructor.

### Constructor Summary

Constructors
`ConstructorDetector()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.Class` `getClass​(int CONSTRUCTOR)` Identify the class.
`static void` `init()` Initialize the ConstructorDetector, it is called from the Init class.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConstructorDetector

    public ConstructorDetector()

### Method Detail

#### init

    public static void init()

Initialize the ConstructorDetector, it is called from the Init class.

#### getClass

    public static java.lang.Class getClass​(int CONSTRUCTOR)

Identify the class.

Parameters:
  `CONSTRUCTOR` - CONSTRUCTOR of the Tdlib API.
Returns:
  The class related to CONSTRUCTOR.